/* -------------------------------- 

Primary style

-------------------------------- */
*, *::after, *::before {
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  font-size: 1.6rem;
  font-family: 'meroman', serif;
  color: #eaf2e3;
  background-color: #3a2c41;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

a {
  color: #3a2c41;
  text-decoration: none;
}

em{
  font-family: 'meitalic', serif;
}

.cd-image-replace {
  /* replace text with image */
  display: inline-block;
  overflow: hidden;
  text-indent: 100%;
  white-space: nowrap;
  color: transparent;
}

/* -------------------------------- 

Webfonts

-------------------------------- */
@font-face {
    font-family: 'asterismregular';
    src: url('fonts/asterism-webfont.eot');
    src: url('fonts/asterism-webfont.eot?#iefix') format('embedded-opentype'),
         url('fonts/asterism-webfont.woff2') format('woff2'),
         url('fonts/asterism-webfont.woff') format('woff'),
         url('fonts/asterism-webfont.ttf') format('truetype'),
         url('fonts/asterism-webfont.svg#asterismregular') format('svg');
    font-weight: normal;
    font-style: normal;

}
@font-face {
    font-family: 'meroman';
    src: url('fonts/mrseavesroman-webfont.eot');
    src: url('fonts/mrseavesroman-webfont.eot?#iefix') format('embedded-opentype'),
         url('fonts/mrseavesroman-webfont.woff2') format('woff2'),
         url('fonts/mrseavesroman-webfont.woff') format('woff'),
         url('fonts/mrseavesroman-webfont.ttf') format('truetype'),
         url('fonts/mrseavesroman-webfont.svg#mrseavesromanroman') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'meitalic';
    src: url('fonts/mrseavesitalic-webfont.eot');
    src: url('fonts/mrseavesitalic-webfont.eot?#iefix') format('embedded-opentype'),
         url('fonts/mrseavesitalic-webfont.woff2') format('woff2'),
         url('fonts/mrseavesitalic-webfont.woff') format('woff'),
         url('fonts/mrseavesitalic-webfont.ttf') format('truetype'),
         url('fonts/mrseavesitalic-webfont.svg#mrseavesmedium_italic') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'mesmallcaps';
    src: url('fonts/mrseavessmallcaps-webfont.eot');
    src: url('fonts/mrseavessmallcaps-webfont.eot?#iefix') format('embedded-opentype'),
         url('fonts/mrseavessmallcaps-webfont.woff2') format('woff2'),
         url('fonts/mrseavessmallcaps-webfont.woff') format('woff'),
         url('fonts/mrseavessmallcaps-webfont.ttf') format('truetype'),
         url('fonts/mrseavessmallcaps-webfont.svg#mrseavessmallcapsroman') format('svg');
    font-weight: normal;
    font-style: normal;
}

/* -------------------------------- 

Navigation trigger - visible on small devices only

-------------------------------- */
.cd-nav-trigger {
  display: block;
  position: fixed;
  z-index: 2;
  bottom: 30px;
  right: 5%;
  height: 44px;
  width: 44px;
  border-radius: 0.25em;
  background: rgba(234, 242, 227, 0.9);
  /* reset button style */
  cursor: pointer;
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
  -o-appearance: none;
  appearance: none;
  border: none;
  outline: none;
}
.cd-nav-trigger span {
  /* central dot */
  position: absolute;
  height: 4px;
  width: 4px;
  background-color: #3a2c41;
  border-radius: 50%;
  left: 50%;
  top: 50%;
  bottom: auto;
  right: auto;
  -webkit-transform: translateX(-50%) translateY(-50%);
  -moz-transform: translateX(-50%) translateY(-50%);
  -ms-transform: translateX(-50%) translateY(-50%);
  -o-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
}
.cd-nav-trigger span::before, .cd-nav-trigger span::after {
  /* bottom and top dots */
  content: '';
  position: absolute;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: #3a2c41;
  border-radius: inherit;
}
.cd-nav-trigger span::before {
  top: -9px;
}
.cd-nav-trigger span::after {
  bottom: -9px;
}
@media only screen and (min-width: 800px) {
  .cd-nav-trigger {
    display: none;
  }
}

/* -------------------------------- 

Vertical navigation

-------------------------------- */
.cd-vertical-nav {
  position: fixed;
  z-index: 1;
  right: 5%;
  bottom: 30px;
  width: 90%;
  max-width: 400px;
  max-height: 90%;
  overflow-y: auto;
  -webkit-transform: scale(0);
  -moz-transform: scale(0);
  -ms-transform: scale(0);
  -o-transform: scale(0);
  transform: scale(0);
  -webkit-transform-origin: right bottom;
  -moz-transform-origin: right bottom;
  -ms-transform-origin: right bottom;
  -o-transform-origin: right bottom;
  transform-origin: right bottom;
  -webkit-transition: -webkit-transform 0.2s;
  -moz-transition: -moz-transform 0.2s;
  transition: transform 0.2s;
  border-radius: 0.25em;
  background-color: rgba(234, 242, 227, 0.9);
}
.cd-vertical-nav a {
  display: block;
  padding: 1em;
  color: #3a2c41;
  font-weight: bold;
  border-bottom: 1px solid rgba(58, 44, 65, 0.1);
}
.cd-vertical-nav a.active {
  color: #ae853a;
}
.cd-vertical-nav.open {
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -ms-transform: scale(1);
  -o-transform: scale(1);
  transform: scale(1);
  -webkit-overflow-scrolling: touch;
}
.cd-vertical-nav.open + .cd-nav-trigger {
  background-color: transparent;
}
.cd-vertical-nav.open + .cd-nav-trigger span {
  background-color: rgba(58, 44, 65, 0);
}
.cd-vertical-nav.open + .cd-nav-trigger span::before, .cd-vertical-nav.open + .cd-nav-trigger span::after {
  /* transform dots in 'X' icon */
  height: 3px;
  width: 20px;
  border-radius: 0;
  left: -8px;
}
.cd-vertical-nav.open + .cd-nav-trigger span::before {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
  top: 1px;
}
.cd-vertical-nav.open + .cd-nav-trigger span::after {
  -webkit-transform: rotate(135deg);
  -moz-transform: rotate(135deg);
  -ms-transform: rotate(135deg);
  -o-transform: rotate(135deg);
  transform: rotate(135deg);
  bottom: 0;
}
@media only screen and (min-width: 800px) {
  .cd-vertical-nav {
    /* reset style */
    right: 0;
    top: 0;
    bottom: auto;
    height: 100vh;
    width: 90px;
    max-width: none;
    max-height: none;
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
    background-color: transparent;
    /* vertically align its content*/
    display: table;
  }
  .cd-vertical-nav::before {
  }
  .no-touch .cd-vertical-nav:hover::before, .touch .cd-vertical-nav::before {
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
  }
  .cd-vertical-nav ul {
    /* vertically align <ul> inside <nav>*/
    display: table-cell;
    vertical-align: middle;
    text-align: center;
  }
  .cd-vertical-nav a {
    position: relative;
    padding: 3em 0 0;
    margin: 1.4em auto;
    border-bottom: none;
    font-size: 1.2rem;
    color: #eaf2e3;
  }
  .cd-vertical-nav a.active {
    color: #ae853a;
  }
  .cd-vertical-nav a#plumdot.active {
    color: #3a2c41;
  }
  .cd-vertical-nav a::before, .cd-vertical-nav a::after {
    /* used to create the filled circle and the background icon */
    content: '';
    position: absolute;
    left: 50%;
    /* Force Hardware Acceleration */
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
    transform: translateZ(0);
  }
  .cd-vertical-nav a::before {
    /* filled circle */
    top: 0;
    height: 24px;
    width: 24px;
    border-radius: 50%;
    background: #eaf2e3;
    -webkit-transform: translateX(-50%) scale(0.25);
    -moz-transform: translateX(-50%) scale(0.25);
    -ms-transform: translateX(-50%) scale(0.25);
    -o-transform: translateX(-50%) scale(0.25);
    transform: translateX(-50%) scale(0.25);
    -webkit-transition: -webkit-transform 0.4s, background-color 0.2s;
    -moz-transition: -moz-transform 0.4s, background-color 0.2s;
    transition: transform 0.4s, background-color 0.2s;
  }
  .cd-vertical-nav a::after {
    /* icon */
    opacity: 0;
    top: 8px;
    height: 16px;
    width: 16px;
    /*background: url(../img/cd-nav-icons.svg) no-repeat;*/
    -webkit-transform: translateX(-50%) scale(0);
    -moz-transform: translateX(-50%) scale(0);
    -ms-transform: translateX(-50%) scale(0);
    -o-transform: translateX(-50%) scale(0);
    transform: translateX(-50%) scale(0);
    -webkit-transition: -webkit-transform 0.4s 0s, opacity 0.1s 0.3s;
    -moz-transition: -moz-transform 0.4s 0s, opacity 0.1s 0.3s;
    transition: transform 0.4s 0s, opacity 0.1s 0.3s;
  }
  .cd-vertical-nav a.active::before, .no-touch .cd-vertical-nav a:hover::before {
    background-color: #ae853a;
  }
  .cd-vertical-nav a#plumdot.active::before/*, .no-touch .cd-vertical-nav a#plumdot:hover::before*/ {
    background-color: #3a2c41;
  }
  .cd-vertical-nav li:first-of-type a::after {
    /* change icon using image sprites */
    background-position: 0px -48px;
    /* fix bug with transitions - set scale(0.01) rather than scale(0) */
    -webkit-transform: translateX(-50%) translateY(4.5em) scale(0.01);
    -moz-transform: translateX(-50%) translateY(4.5em) scale(0.01);
    -ms-transform: translateX(-50%) translateY(4.5em) scale(0.01);
    -o-transform: translateX(-50%) translateY(4.5em) scale(0.01);
    transform: translateX(-50%) translateY(4.5em) scale(0.01);
  }
  .cd-vertical-nav li:first-of-type a::before {
    -webkit-transform: translateX(-50%) translateY(4.5em) scale(0.25);
    -moz-transform: translateX(-50%) translateY(4.5em) scale(0.25);
    -ms-transform: translateX(-50%) translateY(4.5em) scale(0.25);
    -o-transform: translateX(-50%) translateY(4.5em) scale(0.25);
    transform: translateX(-50%) translateY(4.5em) scale(0.25);
  }
  .cd-vertical-nav li:nth-of-type(2) a::after {
    background-position: 0px -32px;
    -webkit-transform: translateX(-50%) translateY(1.5em) scale(0.01);
    -moz-transform: translateX(-50%) translateY(1.5em) scale(0.01);
    -ms-transform: translateX(-50%) translateY(1.5em) scale(0.01);
    -o-transform: translateX(-50%) translateY(1.5em) scale(0.01);
    transform: translateX(-50%) translateY(1.5em) scale(0.01);
  }
  .cd-vertical-nav li:nth-of-type(2) a::before {
    -webkit-transform: translateX(-50%) translateY(1.5em) scale(0.25);
    -moz-transform: translateX(-50%) translateY(1.5em) scale(0.25);
    -ms-transform: translateX(-50%) translateY(1.5em) scale(0.25);
    -o-transform: translateX(-50%) translateY(1.5em) scale(0.25);
    transform: translateX(-50%) translateY(1.5em) scale(0.25);
  }
  .cd-vertical-nav li:nth-of-type(3) a::after {
    background-position: 0px -16px;
    -webkit-transform: translateX(-50%) translateY(-1.5em) scale(0.01);
    -moz-transform: translateX(-50%) translateY(-1.5em) scale(0.01);
    -ms-transform: translateX(-50%) translateY(-1.5em) scale(0.01);
    -o-transform: translateX(-50%) translateY(-1.5em) scale(0.01);
    transform: translateX(-50%) translateY(-1.5em) scale(0.01);
  }
  .cd-vertical-nav li:nth-of-type(3) a::before {
    -webkit-transform: translateX(-50%) translateY(-1.5em) scale(0.25);
    -moz-transform: translateX(-50%) translateY(-1.5em) scale(0.25);
    -ms-transform: translateX(-50%) translateY(-1.5em) scale(0.25);
    -o-transform: translateX(-50%) translateY(-1.5em) scale(0.25);
    transform: translateX(-50%) translateY(-1.5em) scale(0.25);
  }
  .cd-vertical-nav li:nth-of-type(4) a::after {
    background-position: 0px 0px;
    -webkit-transform: translateX(-50%) translateY(-4.5em) scale(0.01);
    -moz-transform: translateX(-50%) translateY(-4.5em) scale(0.01);
    -ms-transform: translateX(-50%) translateY(-4.5em) scale(0.01);
    -o-transform: translateX(-50%) translateY(-4.5em) scale(0.01);
    transform: translateX(-50%) translateY(-4.5em) scale(0.01);
  }
  .cd-vertical-nav li:nth-of-type(4) a::before {
    -webkit-transform: translateX(-50%) translateY(-4.5em) scale(0.25);
    -moz-transform: translateX(-50%) translateY(-4.5em) scale(0.25);
    -ms-transform: translateX(-50%) translateY(-4.5em) scale(0.25);
    -o-transform: translateX(-50%) translateY(-4.5em) scale(0.25);
    transform: translateX(-50%) translateY(-4.5em) scale(0.25);
  }
  .cd-vertical-nav .label {
    display: block;
    /* Force Hardware Acceleration */
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-transform: translateX(100%);
    -moz-transform: translateX(100%);
    -ms-transform: translateX(100%);
    -o-transform: translateX(100%);
    transform: translateX(100%);
    -webkit-transition: -webkit-transform 0.4s;
    -moz-transition: -moz-transform 0.4s;
    transition: transform 0.4s;
  }
  .no-touch .cd-vertical-nav:hover a::before, .no-touch .cd-vertical-nav:hover a::after, .touch .cd-vertical-nav li:nth-of-type(n) a::before, .touch .cd-vertical-nav li:nth-of-type(n) a::after {
    -webkit-transform: translateX(-50%) scale(1);
    -moz-transform: translateX(-50%) scale(1);
    -ms-transform: translateX(-50%) scale(1);
    -o-transform: translateX(-50%) scale(1);
    transform: translateX(-50%) scale(1);
    /* set a rotation to fix bug on Firefox - http://gielberkers.com/how-to-fix-shaking-css-transitions-in-firefox/ */
    -moz-transform: translateX(-50%) scale(1) rotate(0.02deg);
  }
  .no-touch .cd-vertical-nav:hover a::after, .touch .cd-vertical-nav a::after {
    opacity: 1;
    -webkit-transition: -webkit-transform 0.4s, opacity 0s;
    -moz-transition: -moz-transform 0.4s, opacity 0s;
    transition: transform 0.4s, opacity 0s;
  }
  .no-touch .cd-vertical-nav:hover .label, .touch .cd-vertical-nav .label {
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
  }
}

/* -------------------------------- 

Content Sections - basic style

-------------------------------- */
.cd-section {
  /* vertically align its content*/
  position: relative;
  display: table;
  width: 100%;
  height: 100vh;
  background: #3a2c41;
}
/*.cd-section:nth-of-type(even) {
  background-color: #ae853a;
}*/
#section2{
    /*background: url(../img/flower.svg) no-repeat center;*/
    overflow: hidden;
    background-color: #ae853a;
    /*background: url(../img/wave.svg) #ae853a;*/
}
#section3{
  overflow: hidden;
  background: url(../img/clouds.svg) #3a2c41;
  background-size: 125%;
  background-repeat: repeat-x;
  background-position: bottom center;
  animation: animatedBackground 10s linear infinite;

}
@keyframes animatedBackground {
  from { background-position: 0 bottom; }
  to { background-position: 100% bottom; }
}
.cd-section > div {
  /* vertically align <div> inside <section> */
  display: table-cell;
  vertical-align: middle;
  text-align: center;
}
.cd-section h1{
  width: 90%;
  margin: 25% auto 0 auto;
  font-family: 'asterismregular', sans-serif;
  font-size: 7rem;
  line-height: 0.9;
  color: #ae853a;
}
.cd-section h2 {
  font-family: 'mesmallcaps', sans-serif;
  font-size: 4rem;
  letter-spacing: 2rem;
  text-transform: uppercase;
}
.cd-section h2.subtitle {
  font-size: 2rem;
  line-height: 5em;
  letter-spacing: 1rem;
}
.cd-section h3{
  font-family: 'mesmallcaps', sans-serif;
  font-size: 3rem;
  line-height: 2em;
}
.cd-section h1 b, .cd-section h2 b {
  color: #584c5e;
}
.cd-section p {
  font-size:2rem;
  margin: 1em auto;
  line-height: 1.6;
  width: 90%;
  max-width: 680px;
  color: #FFF;
  /*color: rgba(234, 242, 227, 0.6);*/
}
@media only screen and (min-width: 800px) {
  .cd-section h1{
    font-size: 9rem;
  }
  .cd-section h2 {
    font-size: 6rem;
  }
  .cd-section h2.subtitle {
    font-size: 3rem;
    letter-spacing: 2rem;
    line-height: 3em;
  }
  .cd-section p {
    font-size: 2rem;
  }
  #section3{
    background-size: 50%;
    animation: animatedBackground 30s linear infinite;
  }
}

.cd-scroll-down {
  position: absolute;
  left: 50%;
  opacity: 0.2;
  right: auto;
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -o-transform: translateX(-50%);
  transform: translateX(-50%);
  bottom: 80px;
  width: 30px;
  height: 30px;
  background: url(../img/arrow.svg) no-repeat center center;
}

/* -------------------------------- 

no-js

-------------------------------- */
.no-js .cd-nav-trigger {
  display: none;
}

.no-js .cd-vertical-nav {
  position: static;
  height: auto;
  width: 100%;
  max-width: none;
  background-color: rgba(0, 0, 0, 0.8);
  border-radius: 0;
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -ms-transform: scale(1);
  -o-transform: scale(1);
  transform: scale(1);
}
.no-js .cd-vertical-nav::before {
  display: none;
}
.no-js .cd-vertical-nav ul::after {
  clear: both;
  content: "";
  display: table;
}
.no-js .cd-vertical-nav li {
  display: inline-block;
  float: left;
}
.no-js .cd-vertical-nav a {
  padding: 0 1em;
  margin: 1.5em 1em;
  color: #eaf2e3;
}
.no-js .cd-vertical-nav a.active {
  color: #c0a672;
}
.no-js .cd-vertical-nav a::after, .no-js .cd-vertical-nav a::before {
  display: none;
}
.no-js .cd-vertical-nav .label {
  -webkit-transform: translateX(0);
  -moz-transform: translateX(0);
  -ms-transform: translateX(0);
  -o-transform: translateX(0);
  transform: translateX(0);
}

/* -------------------------------- 

Design Elements

-------------------------------- */

.moonsun{
  position: absolute;
  left: 50%;
  bottom: 5%;
  opacity: 0;
  margin-left: -120px;
  width: 240px;
  -webkit-animation: rise 4s forwards;
}

@-webkit-keyframes rise{
    0%{bottom:5%; opacity:0;}
    100%{bottom:60%; opacity: 0.2;}
}

.cloudone{
  position: absolute;
  width: 63%;
  left: 0;
  bottom: 0;
  opacity: 0.2;
  /*-webkit-animation: cloudmoveone 10s infinite alternate;*/
}

/*@-webkit-keyframes cloudmoveone{
    0%{left:5%;}
    100%{left:-5%;}
}*/

.cloudtwo{
  position: absolute;
  width: 40%;
  right: 0;
  bottom: 0;
  opacity: 0.2;
  /*-webkit-animation: cloudmovetwo 10s infinite alternate;*/
}

.starwrap{
  width: 70px;
  margin: 0 auto;
}

.star{
  opacity: 0.2;
}

.byline{
  opacity: 0.5;
}
/*@-webkit-keyframes cloudmovetwo{
    0%{right:5%;}
    100%{right:-5%;}
}*/

@media only screen and (min-width: 800px) {
  .moonsun{
    margin-left: -175px;
    width: 350px;
  }
  @-webkit-keyframes rise{
    0%{bottom:5%; opacity:0;}
    100%{bottom:50%; opacity: 0.2;}
  }
}

p.registry{
  line-height: 4em;
}

p.registry a{
  color: #FFF;
  display: initial;
  padding: 8px 16px;
  background: rgba(255,255,255, 0.1)
}

/* -------------------------------- 

RSVP Form

-------------------------------- */

.cfgen-form-content input{
    font-family: 'meroman', serif;
    background: rgba(0, 0, 0, 0);
    padding: 10px;
    width: 70%;
    border: none;
    border-bottom: solid 1px #fff;
    margin: 10px auto;
    color: #fff;
    font-size: 18px;
}

.cfgen-form-content input[type="text"], .cfgen-form-content input[type="submit"]{
    -webkit-appearance: none;
    border-radius: 0;
    -webkit-border-radius: 0;
}

.cfgen-form-content input[type="radio"]{
  width: 40px;
  border-radius: 50%;
  vertical-align: middle;
}
.radio-wrapper{
  width: 100%;
  margin: 0 auto;
}

.cfgen-form-content label{
  display: inline-block;
  width: 200px;
  text-align: left;
  vertical-align: middle;
}
.cfgen-form-content input[type="radio"]:checked + label{
  /*background: rgba(255,255,255,0.3);*/
}

.cfgen-form-content input[type="submit"] {
    border: 0;
    color: #fff;
    padding-top: 2px;
    font: 20px/24px;
    cursor: pointer;
    /*background: #3a2c41;*/
    background: #ae853a;
    padding: 16px 48px;
    height: 56px;
    display: inline-block;
    border-radius: 4px;
    border: 2px solid transparent;
    margin: 20px 1%;
    border-radius: 0 !important;
    margin-bottom: 5%;
}

#cfgen-form-1 .cfgen-loading{
  display:none;
  background:url('../img/loading.gif') no-repeat 0 1px;
  background-size: 32px;
  width:32px;
  height:32px;
  margin: 0 auto;
}

.cfgen-errormessage{
  font-family: 'meitalic', serif;
  display: inline-block;
  margin: 8px auto;
  color: #FFF;
  background: #c82e3a;
}

::-webkit-input-placeholder { /* Chrome/Opera/Safari */
    color: rgba(255,255,255,0.5);
}
::-moz-placeholder { /* Firefox 19+ */
    color: rgba(255,255,255,0.5);
}
:-ms-input-placeholder { /* IE 10+ */
    color: rgba(255,255,255,0.5);
}
:-moz-placeholder { /* Firefox 18- */
    color: rgba(255,255,255,0.5);
}

@media only screen and (min-width: 800px) {
  .radio-wrapper{
    width: 50%;
    margin: 0 auto;
  }
  .cfgen-form-content input{
    width: 40%;
  }
}

.bronze{
  color: #ae853a;
}

